package staging

import (
	StagingItem "BE-Epson/domains/staging/entities"
	"fmt"

	"gorm.io/gorm"
)

func StagingItemsSeeder(db *gorm.DB) error {

	stagingItems := []StagingItem.StagingItem{

		{ItemCode: "108337002", ItemName: "TRAY,CDR", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "108351700", ItemName: "PLANE WASHER,4.2X0.2X9,L/NA", GrossWeight: "0,1", NetWeight: "0,1", UnitOfMeasure: "PC", PricePerUnit: "0,0064", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108356601", ItemName: "INK CARTRIDGE W.INDIVIDUAL", GrossWeight: "46,1", NetWeight: "46,1", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "108371700", ItemName: "SHEET,PANEL;C", GrossWeight: "4", NetWeight: "4", UnitOfMeasure: "PC", PricePerUnit: "0,323", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108372400", ItemName: "FERRITE CORE TFC-16813", GrossWeight: "15,333", NetWeight: "15,333", UnitOfMeasure: "PC", PricePerUnit: "0,2742", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "108394600", ItemName: "LEVER,DRIVEN,RELEASE", GrossWeight: "19,5", NetWeight: "19,5", UnitOfMeasure: "PC", PricePerUnit: "0,0976", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108394900", ItemName: "LEVER,SPRING,PG CHANGE", GrossWeight: "2,6", NetWeight: "2,6", UnitOfMeasure: "PC", PricePerUnit: "0,0318", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108396800", ItemName: "FRAME,ASF", GrossWeight: "0,01", NetWeight: "0,01", UnitOfMeasure: "PC", PricePerUnit: "0,9833", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108402700", ItemName: "RIBBON CARTRIDGE,ASSY", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,88", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "108404300", ItemName: "FERRITE CORE SSC-33.5-12", GrossWeight: "11,33", NetWeight: "11,33", UnitOfMeasure: "PC", PricePerUnit: "0,0975", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "108425900", ItemName: "FRAME,ASF,RIGHT;B", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108432600", ItemName: "INKED RIBBON,HA,17M,S015101", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "1,2613", PurchasingGroupCodeFk: "DH0", SystemQuantity: 100},
		{ItemCode: "108437700", ItemName: "SHEET,PROTECT", GrossWeight: "4,7", NetWeight: "4,7", UnitOfMeasure: "PC", PricePerUnit: "0,0218", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108444400", ItemName: "LABEL,AREA,PRINT;B", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "0,79", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "108448100", ItemName: "HOLDER,LEVER,LOCK", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108459100", ItemName: "PAPER GUIDE ASSY.", GrossWeight: "420", NetWeight: "420", UnitOfMeasure: "PC", PricePerUnit: "2,8595", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108459202", ItemName: "PAPER EJECT ASSY.", GrossWeight: "314", NetWeight: "314", UnitOfMeasure: "PC", PricePerUnit: "4,3236", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "108473700", ItemName: "PLANE WASHER,3.1X0.2X10,S/NA", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "0,0881", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108477302", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0874", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108477303", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,052", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108477304", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0494", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108477306", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0495", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109002700", ItemName: "SHEET,COVER,CABLE,RIGHT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0263", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109002900", ItemName: "SPRING,LEVER,PG", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0065", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109003001", ItemName: "TORSION SPRING,186", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0126", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109003901", ItemName: "COMPRESSION SPRING,24.5", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D10", SystemQuantity: 100},
		{ItemCode: "109015700", ItemName: "HOLDER,PAD ASSY.,C429", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0906", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109022600", ItemName: "HOUSING,UPPER", GrossWeight: "580,5", NetWeight: "580,5", UnitOfMeasure: "PC", PricePerUnit: "1,1508", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109022700", ItemName: "HOUSING,MIDDLE", GrossWeight: "340", NetWeight: "340", UnitOfMeasure: "PC", PricePerUnit: "1,1824", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109026600", ItemName: "LOGO PLATE", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0659", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109032000", ItemName: "SLIDER,CR", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,3968", PurchasingGroupCodeFk: "D20", SystemQuantity: 100},
		{ItemCode: "109032100", ItemName: "OIL PAD,RING", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0202", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109033300", ItemName: "SHAFT,CR,GUIDE;A", GrossWeight: "603,173", NetWeight: "603,173", UnitOfMeasure: "PC", PricePerUnit: "2,7082", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109034800", ItemName: "ROLLER,PF", GrossWeight: "437", NetWeight: "437", UnitOfMeasure: "PC", PricePerUnit: "2,03", PurchasingGroupCodeFk: "DAC", SystemQuantity: 100},
		{ItemCode: "109036800", ItemName: "EXTENTION SPRING,9.27", GrossWeight: "0,6", NetWeight: "0,6", UnitOfMeasure: "PC", PricePerUnit: "0,0102", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109037500", ItemName: "EDGE GUIDE,ROLL", GrossWeight: "10,5", NetWeight: "10,5", UnitOfMeasure: "PC", PricePerUnit: "0,054", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109037800", ItemName: "SHAFT,ROLLER,LD", GrossWeight: "180", NetWeight: "180", UnitOfMeasure: "PC", PricePerUnit: "0,8413", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109038000", ItemName: "COVER,RUMILER,PAPER CONTROL", GrossWeight: "1,4", NetWeight: "1,4", UnitOfMeasure: "PC", PricePerUnit: "0,0216", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109041100", ItemName: "CLEANER,HEAD;B", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0131", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109049500", ItemName: "COVER ASSY.,FRONT", GrossWeight: "15", NetWeight: "15", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109049600", ItemName: "COVER ASSY.,FRONT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109055101", ItemName: "PAPER EJECT ASSY;W", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "3,3848", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109058800", ItemName: "CABLE,HEAD ASSY.", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109059700", ItemName: "LEVER,PLANETARY UNIT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,3034", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109061600", ItemName: "PAPER GUIDE", GrossWeight: "360", NetWeight: "360", UnitOfMeasure: "PC", PricePerUnit: "0,7803", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109104700", ItemName: "LOCKING WIRE SADDLE", GrossWeight: "0,68", NetWeight: "0,68", UnitOfMeasure: "PC", PricePerUnit: "0,0323", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "109120502", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0494", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120603", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0494", PurchasingGroupCodeFk: "D18", SystemQuantity: 100},
		{ItemCode: "109120800", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0865", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120903", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,052", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109122800", ItemName: "RIBBON,BUNDLE,S015016(B)", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,88", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "109135400", ItemName: "SUPPORT PLATE,SHAFT,RELEASE,STAR WHEEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0331", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109135500", ItemName: "SHEET,STOPPER,POROUS PAD", GrossWeight: "1,8", NetWeight: "1,8", UnitOfMeasure: "PC", PricePerUnit: "0,0154", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109150900", ItemName: "PAPER SUPPORT;MTS", GrossWeight: "67,98", NetWeight: "67,98", UnitOfMeasure: "PC", PricePerUnit: "0,6289", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109151100", ItemName: "COVER,PRINTER,C40S", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,2786", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109153100", ItemName: "SHEET GUIDE ASSY.", GrossWeight: "263,25", NetWeight: "263,25", UnitOfMeasure: "PC", PricePerUnit: "1,1303", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109160700", ItemName: "LEVER,ASSY,COMBINATION GEAR", GrossWeight: "21,3", NetWeight: "21,3", UnitOfMeasure: "PC", PricePerUnit: "0,1647", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109182901", ItemName: "POST CARD,SETTER ASSY.UNIT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109232800", ItemName: "BANDLE PACK,015,ABROAD", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "109248900", ItemName: "POROUS PAD,INK EJECT,UPPER;B", GrossWeight: "31,941", NetWeight: "31,941", UnitOfMeasure: "PC", PricePerUnit: "0,1766", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "10R", ItemName: "MECHANICAL PARTS", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "10SALES", ItemName: "MECHANICAL SALES", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "11", ItemName: "TOOLS", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "110374100", ItemName: "POROUS PAD, INK STOPPER;B", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0495", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "110376900", ItemName: "SOUND ABSORBER,A", GrossWeight: "0,5", NetWeight: "0,5", UnitOfMeasure: "PC", PricePerUnit: "0,0232", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "110382100", ItemName: "COMPRESSION SPRING,0.98", GrossWeight: "0,1", NetWeight: "0,1", UnitOfMeasure: "PC", PricePerUnit: "0,0035", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "110382202", ItemName: "SHAFT,CR,GUIDE", GrossWeight: "181,7", NetWeight: "181,7", UnitOfMeasure: "PC", PricePerUnit: "0,566", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108336700", ItemName: "SPUR GEAR,20", GrossWeight: "4,108", NetWeight: "4,108", UnitOfMeasure: "PC", PricePerUnit: "0,0249", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "108356800", ItemName: "INK CARTRIDGE W/O IND BOX,C.JP", GrossWeight: "45,986", NetWeight: "45,986", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "108356901", ItemName: "INK CARTRIDGE W.INDIVIDUAL", GrossWeight: "45,91", NetWeight: "45,91", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "108357001", ItemName: "INK CARTRIDGE W.INDIVIDUAL", GrossWeight: "46,35", NetWeight: "46,35", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D25", SystemQuantity: 100},
		{ItemCode: "108361300", ItemName: "HOLLER,ASF,MIDDLE,LEFT", GrossWeight: "8,5", NetWeight: "8,5", UnitOfMeasure: "PC", PricePerUnit: "0,0491", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108386100", ItemName: "HOLDER,DETECTOR,PW", GrossWeight: "0,5", NetWeight: "0,5", UnitOfMeasure: "PC", PricePerUnit: "0,0166", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108396100", ItemName: "SPUR GEAR,43", GrossWeight: "3,7", NetWeight: "3,7", UnitOfMeasure: "PC", PricePerUnit: "0,0445", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108396300", ItemName: "COMBINATION GEAR,17,24.5", GrossWeight: "2,1", NetWeight: "2,1", UnitOfMeasure: "PC", PricePerUnit: "0,0456", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108396500", ItemName: "HOLDER,SET,RIGHT", GrossWeight: "2,9", NetWeight: "2,9", UnitOfMeasure: "PC", PricePerUnit: "0,0385", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108397400", ItemName: "LEVER,HOPPER,RELEASE,LEFT", GrossWeight: "1,2", NetWeight: "1,2", UnitOfMeasure: "PC", PricePerUnit: "0,0859", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108416100", ItemName: "SOUND ABSORBER,465X15X15t", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0842", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "108416200", ItemName: "SOUND ABSORBER,450X15X10t", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0604", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "108416400", ItemName: "SOUND ABSORBER,475X20X15t", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0858", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "108424000", ItemName: "LABEL,POSITION.PRINT", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "0,37", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "108426001", ItemName: "FRAME,ASF,LEFT;B", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108428701", ItemName: "TORSION SPRING,59.8", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0446", PurchasingGroupCodeFk: "D18", SystemQuantity: 100},
		{ItemCode: "108432700", ItemName: "TORSION SPRING,66.1", GrossWeight: "0,49", NetWeight: "0,49", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D10", SystemQuantity: 100},
		{ItemCode: "108448000", ItemName: "CAM,LEVER,LOCK", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0177", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "108449000", ItemName: "STOPPER,GUIDE,PAPER EJECT", GrossWeight: "2,5", NetWeight: "2,5", UnitOfMeasure: "PC", PricePerUnit: "0,0656", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "108450300", ItemName: "TIMING BELT", GrossWeight: "8,663", NetWeight: "8,663", UnitOfMeasure: "PC", PricePerUnit: "0,8", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108461900", ItemName: "RD ASSEMBLY", GrossWeight: "2,89", NetWeight: "2,89", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "108463201", ItemName: "PLATEN ASSY.,ASP", GrossWeight: "1145", NetWeight: "1145", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1C", SystemQuantity: 100},
		{ItemCode: "108463301", ItemName: "PAPER EJECT UNIT ASSY.,ASP", GrossWeight: "511,875", NetWeight: "511,875", UnitOfMeasure: "PC", PricePerUnit: "8,1902", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "108466900", ItemName: "SHEET,GUIDE PAPER EJECT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0421", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "108477801", ItemName: "DETECTOR,PE,REAR,ASP", GrossWeight: "30,75", NetWeight: "30,75", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "109004600", ItemName: "FLANGE,MOTOR,PF", GrossWeight: "0,2", NetWeight: "0,2", UnitOfMeasure: "PC", PricePerUnit: "0,0528", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "109018800", ItemName: "POROUS PAD,CABLE HEAD", GrossWeight: "4,5", NetWeight: "4,5", UnitOfMeasure: "PC", PricePerUnit: "0,0089", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109030600", ItemName: "SPACER,RIBBON MASK", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109032200", ItemName: "HOLDER,OIL PAD,RING", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0359", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109032900", ItemName: "LEEF SPRING,SET,CARTRIDGE;A", GrossWeight: "9,6", NetWeight: "9,6", UnitOfMeasure: "PC", PricePerUnit: "0,4868", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109033500", ItemName: "BUSHING PARALLE ADJUST,SUB,LEFT", GrossWeight: "2,5", NetWeight: "2,5", UnitOfMeasure: "PC", PricePerUnit: "0,0469", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109033700", ItemName: "HOLDER,PUREY,DRIVEN", GrossWeight: "1,2", NetWeight: "1,2", UnitOfMeasure: "PC", PricePerUnit: "0,0667", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109034700", ItemName: "TORSION SPRING,0.19", GrossWeight: "0,05", NetWeight: "0,05", UnitOfMeasure: "PC", PricePerUnit: "0,0125", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109035100", ItemName: "FRAME,EJECT", GrossWeight: "242,2", NetWeight: "242,2", UnitOfMeasure: "PC", PricePerUnit: "0,5724", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109036400", ItemName: "PAPER GUIDE,EJECT,LOWER", GrossWeight: "25,2", NetWeight: "25,2", UnitOfMeasure: "PC", PricePerUnit: "0,2029", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109038600", ItemName: "PAPER GUIDE,ROLL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,4975", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109049400", ItemName: "HOUSING ASSY.,PANEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,9285", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "109057900", ItemName: "SHAFT,RELEASE,DRIVEN UNIT", GrossWeight: "4,27", NetWeight: "4,27", UnitOfMeasure: "PC", PricePerUnit: "0,6173", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109059200", ItemName: "CARRIAGE UNIT", GrossWeight: "772,875", NetWeight: "772,875", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109059600", ItemName: "DRIVE,LD ASSY", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109080601", ItemName: "LABEL,POSITION,CARTRIDGE", GrossWeight: "0,7", NetWeight: "0,7", UnitOfMeasure: "PC", PricePerUnit: "0,065", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109106800", ItemName: "POROUS PAD,PUMP,LEFT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0628", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109117800", ItemName: "LEAF SPRING,LEVER,CLEANER", GrossWeight: "0,2", NetWeight: "0,2", UnitOfMeasure: "PC", PricePerUnit: "0,0221", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109119901", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0523", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120501", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0494", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120801", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0494", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120900", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109120905", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109120908", ItemName: "SERIAL NUMBER LABEL", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0495", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109122504", ItemName: "RIBBON,BUNDLE,S015086(B)", GrossWeight: "418,5", NetWeight: "418,5", UnitOfMeasure: "PC", PricePerUnit: "3,16", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "109122801", ItemName: "RIBBON,BUNDLE,S015016(B)", GrossWeight: "99", NetWeight: "99", UnitOfMeasure: "PC", PricePerUnit: "1,17", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "109135700", ItemName: "LEVER,CHANGE", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0271", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109137200", ItemName: "SHEET STOPPER,POROUS PAD,UPPER", GrossWeight: "0,72", NetWeight: "0,72", UnitOfMeasure: "PC", PricePerUnit: "0,0074", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109152200", ItemName: "FRAME,ASF;E", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,4465", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109160102", ItemName: "DAMPER,0.05,SPACER(SINGLE)", GrossWeight: "0,027", NetWeight: "0,027", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109160900", ItemName: "FRAME,ASSY,RIGHT", GrossWeight: "4,6", NetWeight: "4,6", UnitOfMeasure: "PC", PricePerUnit: "0,7072", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109164300", ItemName: "COMPRESSION SPRING,2.45", GrossWeight: "0,4", NetWeight: "0,4", UnitOfMeasure: "PC", PricePerUnit: "0,0071", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "109166202", ItemName: "FRAME.SIDE", GrossWeight: "99", NetWeight: "99", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109166701", ItemName: "ROLLER,DRIVE,REAR", GrossWeight: "37,68", NetWeight: "37,68", UnitOfMeasure: "PC", PricePerUnit: "0,3945", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "109167000", ItemName: "FAN-FOLD PAPER 15-5", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "103,68", PurchasingGroupCodeFk: "D31", SystemQuantity: 100},
		{ItemCode: "109180200", ItemName: "PAPER GUIDE,ASSY,FRONT", GrossWeight: "78", NetWeight: "78", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "109252100", ItemName: "BUTTON,SW", GrossWeight: "2,9", NetWeight: "2,9", UnitOfMeasure: "PC", PricePerUnit: "0,1026", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "110374300", ItemName: "STOPPER,HOLDER,PUREY,DRIVEN", GrossWeight: "3,6", NetWeight: "3,6", UnitOfMeasure: "PC", PricePerUnit: "0,0291", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "110377001", ItemName: "ROLL,C-CODE", GrossWeight: "1067,78", NetWeight: "1067,78", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "110382400", ItemName: "SHAFT,PULLEY,DRIVEN", GrossWeight: "1,467", NetWeight: "1,467", UnitOfMeasure: "PC", PricePerUnit: "0,046", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "110382901", ItemName: "BUSHING,RIGHT", GrossWeight: "3", NetWeight: "3", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "0A00927", ItemName: "G-65(2.0KG)/KE GREASE", GrossWeight: "2000", NetWeight: "2000", UnitOfMeasure: "PC", PricePerUnit: "64,44", PurchasingGroupCodeFk: "D31", SystemQuantity: 100},
		{ItemCode: "0A02986", ItemName: "POLYAMIDE FILM 20S W20mmX50", GrossWeight: "955,4", NetWeight: "955,4", UnitOfMeasure: "CAR", PricePerUnit: "311,72", PurchasingGroupCodeFk: "D51", SystemQuantity: 100},
		{ItemCode: "0A09021", ItemName: "UV ADHESIVE, A-2358B(1PACK/4PC)", GrossWeight: "1", NetWeight: "1", UnitOfMeasure: "CAR", PricePerUnit: "500,9", PurchasingGroupCodeFk: "D51", SystemQuantity: 100},
		{ItemCode: "0A11765", ItemName: "INK CART UNBOXED,BK,829C", GrossWeight: "0,01", NetWeight: "0,01", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "10", ItemName: "MECHANICAL PARTS", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "100031503", ItemName: "RIBBON,BUNDLE,#7754(B)", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,84", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100131301", ItemName: "FLANGE,21", GrossWeight: "2,1", NetWeight: "2,1", UnitOfMeasure: "PC", PricePerUnit: "0,3", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100168200", ItemName: "SCALLOP S.P.-B,2X11,S/NA", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0161", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "100172900", ItemName: "OIL PAD,PLANE,LOWER", GrossWeight: "4,05", NetWeight: "4,05", UnitOfMeasure: "PC", PricePerUnit: "0,0315", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "100179500", ItemName: "SHAFT,PF,TENSION", GrossWeight: "1,85", NetWeight: "1,85", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "100280300", ItemName: "LEVER ,SELECT", GrossWeight: "2,1", NetWeight: "2,1", UnitOfMeasure: "PC", PricePerUnit: "0,23", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100298800", ItemName: "FAN-FOLD PAPER,15-8", GrossWeight: "3114", NetWeight: "3114", UnitOfMeasure: "PC", PricePerUnit: "67,18", PurchasingGroupCodeFk: "D31", SystemQuantity: 100},
		{ItemCode: "100313902", ItemName: "RIBBON,BUNDLE,#8755(B)", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,96", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100385500", ItemName: "RACK,PAPER HOLDER,PAWL", GrossWeight: "3", NetWeight: "3", UnitOfMeasure: "PC", PricePerUnit: "0,27", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100485800", ItemName: "COMBINATION GEAR,D25/8.5", GrossWeight: "1,8", NetWeight: "1,8", UnitOfMeasure: "PC", PricePerUnit: "0,19", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100492900", ItemName: "SPUR GEAR,11.5", GrossWeight: "0,88", NetWeight: "0,88", UnitOfMeasure: "PC", PricePerUnit: "0,0202", PurchasingGroupCodeFk: "D15", SystemQuantity: 100},
		{ItemCode: "100515801", ItemName: "COVER,PAPER EJECT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "1,61", PurchasingGroupCodeFk: "D40", SystemQuantity: 100},
		{ItemCode: "100517700", ItemName: "LEVER,PE,DETECTOR,REAR", GrossWeight: "3,259", NetWeight: "3,259", UnitOfMeasure: "PC", PricePerUnit: "0,0428", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100518502", ItemName: "MOUNTING PLATE,MOTOR,CR", GrossWeight: "44,6", NetWeight: "44,6", UnitOfMeasure: "PC", PricePerUnit: "0,1542", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100518600", ItemName: "EXTENSION SPRING,1056", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0223", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "100521500", ItemName: "EXTENSION SPRING,70", GrossWeight: "0,75", NetWeight: "0,75", UnitOfMeasure: "PC", PricePerUnit: "0,006", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "100522200", ItemName: "COMBINATION GEAR,8,30", GrossWeight: "4,008", NetWeight: "4,008", UnitOfMeasure: "PC", PricePerUnit: "0,0281", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100522600", ItemName: "SPUR GEAR,34", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "100523600", ItemName: "FRAME,PAPER EJECT,LEFT", GrossWeight: "10,8", NetWeight: "10,8", UnitOfMeasure: "PC", PricePerUnit: "0,0678", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100554900", ItemName: "EDGE GUIDE ASSY.,REAR", GrossWeight: "5,05", NetWeight: "5,05", UnitOfMeasure: "PC", PricePerUnit: "1,044", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100620800", ItemName: "SPRING,CSF PLANET", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "0,13", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100627200", ItemName: "SPUR GEAR D=29", GrossWeight: "2,17", NetWeight: "2,17", UnitOfMeasure: "PC", PricePerUnit: "0,31", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100629400", ItemName: "BUSHING,PAPER LOAD ROLLER", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "0,25", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100634300", ItemName: "SPRING,IDLER", GrossWeight: "0,1", NetWeight: "0,1", UnitOfMeasure: "PC", PricePerUnit: "0,03", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "100659701", ItemName: "ROLLER ASSEMBLY,PAPER LOAD,LEFT", GrossWeight: "10", NetWeight: "10", UnitOfMeasure: "PC", PricePerUnit: "0,7748", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "100661200", ItemName: "LEVER ASSEMBLY,CSF PLANET,MIDDLE", GrossWeight: "3,26", NetWeight: "3,26", UnitOfMeasure: "PC", PricePerUnit: "1,5865", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "100769100", ItemName: "PLATEN", GrossWeight: "936", NetWeight: "936", UnitOfMeasure: "PC", PricePerUnit: "4,5361", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "100956100", ItemName: "COVER,PRINTER", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,6638", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "101309301", ItemName: "SPUR GEAR,34.5", GrossWeight: "2,963", NetWeight: "2,963", UnitOfMeasure: "PC", PricePerUnit: "0,0359", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101532700", ItemName: "SHAFT,PAPER LOAD", GrossWeight: "0,198", NetWeight: "0,198", UnitOfMeasure: "PC", PricePerUnit: "5,24", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "101589700", ItemName: "SHEET PAPER A-3", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "20,11", PurchasingGroupCodeFk: "D31", SystemQuantity: 100},
		{ItemCode: "101627500", ItemName: "OIL PAD,CLEANING", GrossWeight: "3,077", NetWeight: "3,077", UnitOfMeasure: "PC", PricePerUnit: "0,0159", PurchasingGroupCodeFk: "D13", SystemQuantity: 100},
		{ItemCode: "101707000", ItemName: "NYLON PUSH RIVET", GrossWeight: "0,167", NetWeight: "0,167", UnitOfMeasure: "PC", PricePerUnit: "0,0321", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "101814500", ItemName: "FRAME,BASE", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101815700", ItemName: "SPURGEAR,13.2", GrossWeight: "0,341", NetWeight: "0,341", UnitOfMeasure: "PC", PricePerUnit: "0,0105", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101816900", ItemName: "LEVER,DISENGAGE", GrossWeight: "4,2", NetWeight: "4,2", UnitOfMeasure: "PC", PricePerUnit: "0,0657", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101817600", ItemName: "PAPER GUIDE,SUPPORT", GrossWeight: "7,2", NetWeight: "7,2", UnitOfMeasure: "PC", PricePerUnit: "0,2478", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "101817900", ItemName: "SPURGEAR,25", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0189", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101819000", ItemName: "SPURGEAR,17", GrossWeight: "2,34", NetWeight: "2,34", UnitOfMeasure: "PC", PricePerUnit: "0,0094", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101821900", ItemName: "PAPER SUPPORT", GrossWeight: "7,525", NetWeight: "7,525", UnitOfMeasure: "PC", PricePerUnit: "0,0204", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "101832400", ItemName: "SHEET,FRAME,BASE", GrossWeight: "0,44", NetWeight: "0,44", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1D", SystemQuantity: 100},
		{ItemCode: "101907500", ItemName: "ROLLER,RIBBON FEED,ERC-37B", GrossWeight: "20", NetWeight: "20", UnitOfMeasure: "PC", PricePerUnit: "0,0235", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "102010500", ItemName: "OLFIN E1010", GrossWeight: "1000", NetWeight: "1000", UnitOfMeasure: "KG", PricePerUnit: "18,27", PurchasingGroupCodeFk: "D51", SystemQuantity: 100},
		{ItemCode: "102020000", ItemName: "FRAME,LEFT", GrossWeight: "58,94", NetWeight: "58,94", UnitOfMeasure: "PC", PricePerUnit: "0,3003", PurchasingGroupCodeFk: "D1A", SystemQuantity: 100},
		{ItemCode: "102028000", ItemName: "SPECIAL CUT SHEET PAPER G,A4", GrossWeight: "9700", NetWeight: "9700", UnitOfMeasure: "PC", PricePerUnit: "56,67", PurchasingGroupCodeFk: "D31", SystemQuantity: 100},
		{ItemCode: "102195900", ItemName: "ROLLER,EJ", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "102231600", ItemName: "BUSHING,EJ,ROLLER", GrossWeight: "1,12", NetWeight: "1,12", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D17", SystemQuantity: 100},
		{ItemCode: "102358800", ItemName: "ROLLER ASSEMBLY,CSF,PAPER LOAD,RIGHT", GrossWeight: "5", NetWeight: "5", UnitOfMeasure: "PC", PricePerUnit: "0,66", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "102388100", ItemName: "HOUSING ASSY.,LOWER,ASP", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D19", SystemQuantity: 100},
		{ItemCode: "102468700", ItemName: "SHAFT HOLDER,SLIP FEED ROLLER", GrossWeight: "0,51", NetWeight: "0,51", UnitOfMeasure: "PC", PricePerUnit: "0,0325", PurchasingGroupCodeFk: "D21", SystemQuantity: 100},
		{ItemCode: "102501800", ItemName: "HOUSING ASSY.,LOWER", GrossWeight: "10,49", NetWeight: "10,49", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D19", SystemQuantity: 100},
		{ItemCode: "102526800", ItemName: "PULLEY,RD", GrossWeight: "1,666", NetWeight: "1,666", UnitOfMeasure: "PC", PricePerUnit: "0,0087", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102527900", ItemName: "SPUR GEAR,25", GrossWeight: "1,545", NetWeight: "1,545", UnitOfMeasure: "PC", PricePerUnit: "0,014", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102528801", ItemName: "FRAME,TR,RIGHT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0,0599", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102531100", ItemName: "GROUNDING PLATE,PAPER EJECT", GrossWeight: "0,758", NetWeight: "0,758", UnitOfMeasure: "PC", PricePerUnit: "0,0399", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "102533000", ItemName: "SHAFT,CR,GUIDE,FRONT", GrossWeight: "0", NetWeight: "0", UnitOfMeasure: "PC", PricePerUnit: "0", PurchasingGroupCodeFk: "D1C", SystemQuantity: 100},
		{ItemCode: "102533001", ItemName: "SHAFT,CR,GUIDE,FRONT", GrossWeight: "557,7", NetWeight: "557,7", UnitOfMeasure: "PC", PricePerUnit: "2,0808", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102534301", ItemName: "HOLDER,DETECTOR,PG", GrossWeight: "13,7", NetWeight: "13,7", UnitOfMeasure: "PC", PricePerUnit: "0,0944", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102534500", ItemName: "RIBBON MASK", GrossWeight: "7,714", NetWeight: "7,714", UnitOfMeasure: "PC", PricePerUnit: "0,1039", PurchasingGroupCodeFk: "D11", SystemQuantity: 100},
		{ItemCode: "102534600", ItemName: "HOLDER,RIBBON MASK", GrossWeight: "13,729", NetWeight: "13,729", UnitOfMeasure: "PC", PricePerUnit: "0,1674", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102535401", ItemName: "PAPER GUIDE,FRONT", GrossWeight: "155,562", NetWeight: "155,562", UnitOfMeasure: "PC", PricePerUnit: "0,3639", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
		{ItemCode: "102535700", ItemName: "COMBINATION GEAR,8,30", GrossWeight: "12,6", NetWeight: "12,6", UnitOfMeasure: "PC", PricePerUnit: "0,0409", PurchasingGroupCodeFk: "D12", SystemQuantity: 100},
	}
	for _, items := range stagingItems {
		exists, err := itemExists(db, items)
		if err != nil {
			return fmt.Errorf("error checking master existence: %w", err)
		}
		if !exists {
			if err := createItem(db, &items); err != nil {
				return fmt.Errorf("error creating master: %w", err)
			}
		}
	}
	return nil
}

func itemExists(db *gorm.DB, item StagingItem.StagingItem) (bool, error) {
	var count int64
	if err := db.Model(&StagingItem.StagingItem{}).Where("item_code = ?", item.ItemCode).Count(&count).Error; err != nil {
		return false, err
	}
	return count > 0, nil
}
func createItem(db *gorm.DB, item *StagingItem.StagingItem) error {
	if err := db.Create(&item).Error; err != nil {
		return err
	}
	return nil
}
